Subject: bug#76596: 30.1; dired-movement-style does not honor subdir operations

From: Juri Linkov <[email-masked]>
Date: Mon, 10 Mar 2025 20:33:02 +0200

> Ping! Juri, could you please answer my question below?
>
>> > >> I'm not sure what is the behavior expected by most users?
>> > >> It seems the intention for this feature was to visit only
>> > >> filename lines with n, p, C-p, C-n,
>> > >
>> > > I initially thought about that, but (a) the documentation says
>> > > something else, and (b) the original implementation, before your
>> > > changes mentioned above, indeed skipped only empty lines, not any
>> > > lines that don't show a file name.  So I changed my mind about that.
>> > 
>> > Maybe this preference should be defined by the option?
>> > Or by a new value of the existing option?
>> 
>> Yes, additional value(s) of the option would be good if we want to
>> have both behaviors.
>> 
>> Are you okay with me installing my patch, and then you working on
>> adding the new value(s)?

I guess this is okay, since then later we could just add a condition
that uses the new value.